package com.winhc.repal.cloud.vo;

import cn.hutool.core.collection.CollUtil;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @description: 动态数据对象
 * @author: Anakin
 * @date 2021.8.3 15:25
 */
@Data
@ApiModel(description = "动态数据对象")
public class DynamicDataBO {
    private Object K;
    private Object V;
    private List<DynamicItemBO> L;

    public DynamicDataBO(Object k, Object v) {
        this.K = k;
        this.V = v;
    }

    public DynamicDataBO(List<DynamicItemBO> l) {
        this.L = l;
    }

    public DynamicDataBO(Object k, List<DynamicItemBO> l) {
        this.K = k;
        this.L = l;
    }

    public DynamicDataBO(Object k, DynamicItemBO... item) {
        this.K = k;
        this.L = CollUtil.newArrayList(item);
    }

    public DynamicDataBO(){}

    public DynamicDataBO(Object k, Object v, List<DynamicItemBO> l) {
        K = k;
        V = v;
        L = l;
    }

    /**
     * [
     *        {
     * 		"K": "公告类型",-------------------------------------------- 公告类型：法院公告
     * 		"V": "法院公告"
     *    },
     *    {
     * 		"K": "案号",
     * 		"V": "JTY(2019)"
     *    },
     *    {
     * 		"K": "当事人",
     * 		"L": [------------------------------------------------------- L中内容为拼接一行内容
     *            {
     * 				"I": "dkk9895667kk17nk78gh",------------------------- V为显示字段，I不为空则V高亮，根据ID长短跳转企业、自然人
     * 				"V": "华为技术有限公司"
     *            },
     *            {
     * 				"V":"，"
     *            },
     *            {
     * 				"I": "dkk8989090",
     * 				"V": "乐视控股（北京）有限公司"
     *            }
     * 		]
     *    },
     *    {
     * 		"L": [
     *            {
     * 				"V": "从"
     *            },
     *            {
     * 				"I": "dkk9895667kk17nk78gh",
     * 				"V": "华为技术有限公司"
     *            },
     *            {
     * 				"V": "变为"
     *            },
     *            {
     * 				"I": "dkk8989090",
     * 				"V": "乐视控股（北京）有限公司"
     *            }
     * 		]
     *    }
     * ]
     */
}
