package com.winhc.repal.controller;

import com.winhc.common.base.BeanResponse;
import com.winhc.common.enums.CodeMsg;
import com.winhc.repal.model.dto.FsCallbackDTO;
import com.winhc.repal.service.CallbackService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: CallbackController
 * @Author: xda
 * @Date: 2022/6/13 09:02
 */
@Api("回调")
@RestController
@RequestMapping(value = "/callback")
public class CallbackController {

    @Autowired
    private CallbackService callbackService;

    @ApiOperation("飞书订单回调")
    @RequestMapping(value = "/fs", method = RequestMethod.POST)
    public BeanResponse<Boolean> fsOrderCallback(@RequestBody FsCallbackDTO dto) {
        return BeanResponse.success(CodeMsg.SUCCESS, callbackService.processFsOrderCallback(dto));
    }
}
