package com.winhc.repal.model.cvt;

import cn.hutool.core.util.StrUtil;
import com.winhc.repal.entity.RepalRemindHistory;
import com.winhc.repal.enums.DynamicEnum;
import com.winhc.repal.enums.FinanceDimensionEnum;
import com.winhc.repal.enums.RemindEnum;
import com.winhc.repal.model.vo.RepalRemindHistoryVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;

/**
 * @description RepalRemindHistory 对象转换类
 * @author Generator
 * @date 2022-04-08
 */
@Slf4j
public class RepalRemindHistoryConvert {

    public static RepalRemindHistoryVO EntityToVO(RepalRemindHistory entity) {
        RepalRemindHistoryVO vo = new RepalRemindHistoryVO ();
        BeanUtils.copyProperties(entity, vo);
        vo.setRemindTitle(vo.getRemindTitle().replaceAll("新增",""));
        //转换前端需要的routing
        if(RemindEnum.财产线索.getCode().equals(entity.getRemindType())){
            if(StrUtil.isNotBlank(entity.getDimensionType())){
                FinanceDimensionEnum financeDimensionEnum = FinanceDimensionEnum.getByCode(entity.getDimensionType());
                vo.setRouting(financeDimensionEnum == null ? null :financeDimensionEnum.getRouting());
            }
        }else if(RemindEnum.风险预警.getCode().equals(entity.getRemindType())){
            //新版本跳转详情需要
            vo.setNewDynamicId(entity.getDynamicId());
            vo.setRowKey(entity.getBizId());
            vo.setTn(entity.getTrentType());
            vo.setRouting(DynamicEnum.getRoutingByTn(entity.getTrentType()));
        }
        return vo;
    }
}
