package com.winhc.repal.model.vo;

import com.winhc.repal.entity.RepalBillOperLog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @description RepalCustomer VO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel("客户(供应商)详情")
public class RepalCustomerDetailVO {

    @ApiModelProperty(value = "客户id")
    private Long custId;

    @ApiModelProperty(value = "客户名称")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    private Integer custProperty;

    @ApiModelProperty(value = "公司id")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    private String industry;

    @ApiModelProperty(value = "办公地址")
    private String address;

    @ApiModelProperty(value = "附件JSON")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    private String remark;

    @ApiModelProperty(value = "1客户  2供应商")
    private Integer custType;

    @ApiModelProperty("关联账款数量")
    private Integer repalBillCount;

    @ApiModelProperty(value = "待收(待付)金额")
    private String receivableStr;

    @ApiModelProperty("已逾期str")
    private String totalOverdueStr;

    @ApiModelProperty(value = "账款总金额")
    private String totalMoneyStr;

    @ApiModelProperty(value = "已收回")
    private String totalReceiptStr;

    @ApiModelProperty(value = "负责人")
    private List<RepalGroupMemberVO> charges;

    @ApiModelProperty(value = "联系人")
    private List<RepalLinkVO> links;

    @ApiModelProperty("未读动态数量依次是 逾期 风险预警 评级 财产")
    private List<Integer> dynamicCountList;

    @ApiModelProperty("失信限高标签list")
    private List<String> labelList;

    @ApiModelProperty(value = "风险数量)")
    private Integer riskNum;

    @ApiModelProperty("财产线索)")
    private Integer assetsNum;

    @ApiModelProperty("账款记录")
    private List<RepalBillDetailVO.BillMoneyChange> changeList;
}
