package com.winhc.repal.util;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.winhc.repal.model.vo.HomeGradeVO;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @Description: BillGradeUtil
 * @Author: xda
 * @Date: 2022/5/7 18:31
 */
public class BillGradeUtil {


    public static List<HomeGradeVO> getGradeList(List<String> gradeList) {
        if (CollUtil.isEmpty(gradeList)) {
            return new ArrayList<>();
        }
        int total = gradeList.size();
        List<Long> countList = new ArrayList<Long>(){{
            add(gradeList.stream().filter("A"::equals).count());
            add(gradeList.stream().filter("B"::equals).count());
            add(gradeList.stream().filter("C"::equals).count());
            add(gradeList.stream().filter("D"::equals).count());
            add(gradeList.stream().filter(StrUtil::isBlank).count());
        }};
        return countList.stream().map(count -> {
            HomeGradeVO vo = new HomeGradeVO();
            vo.setCount(Math.toIntExact(count));
            vo.setRate(new BigDecimal(count).multiply(new BigDecimal(100)).divide(new BigDecimal(total), 2, RoundingMode.HALF_UP).stripTrailingZeros().toPlainString() + "%");
            return vo;
        }).collect(Collectors.toList());
    }
}
